petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatHermitianTranspose

Computes an in-place or out-of-place transpose of a matrix in complex conjugate.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatHermitianTranspose(Mat mat,MatReuse reuse,Mat *B)

Collective on Mat

### Input Parameter

| mat | - the matrix to transpose and complex conjugate
| reuse | - store the transpose matrix in the provided B

### Output Parameters

B -the Hermitian

### Notes

If you pass in &mat for B the Hermitian will be done in place

### See Also

MatTranspose(), MatMultTranspose(), MatMultTransposeAdd(), MatIsTranspose(), MatReuse

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages